Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Stringprep, Punycode and IDNA implementation
Name:      	libidn
Version:   	1.10
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/libidn
Group:     	System/Libraries
Source0: 	libidn-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
PreReq:		/sbin/install-info
BuildRequires:	glibc-devel
BuildRequires: pkgconfig, gettext

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
GNU Libidn is an implementation of the Stringprep, Punycode and IDNA 
specifications defined by the IETF Internationalized Domain Names 
(IDN) working group, used for internationalized domain names. 

%package devel
Summary: Development files for the libidn library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the GNU libidn library.

%post
/sbin/install-info %{_infodir}/libidn.info.gz %{_infodir}/dir 
ldconfig

%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %{_infodir}/libidn.info.gz %{_infodir}/dir 
fi 

%postun
ldconfig

%prep
%setup -n libidn-%{version}
# Name directory sections consistently in the info file, #209491
sed -i '/^INFO-DIR-SECTION/{s/GNU Libraries/Libraries/;s/GNU utilities/Utilities/;}' doc/libidn.info


%build
./configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir --disable-debug --disable-csharp
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# provide more examples
make %{?_smp_mflags} -C examples distclean

# clean up docs
find doc -name "Makefile*" | xargs rm
rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir

# Make multilib safe:
#sed -i '/gnu compiler/d' $RPM_BUILD_ROOT%{_includedir}/idn-int.h

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS FAQ README THANKS COPYING*
%{_bindir}/idn
%{_mandir}/man1/idn.1*
%{_datadir}/emacs/site-lisp
%{_libdir}/libidn.so.*
%{_infodir}/%{name}.info.gz
%{_infodir}/libidn-components.png.gz

%files devel
%defattr(0644,root,root,755)
%doc doc/libidn.html examples contrib
%{_libdir}/libidn.so
%{_libdir}/libidn.a
%{_libdir}/libidn.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.10-1
- Version update
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9-1
- Version update
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.8-1
- Version update
* Thu Mar 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- Version update
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- Version update
* Tue  Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.11-1
- Version update
* Sun Dec 31 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.8-1
- Version update
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.7-1
- Version Update
- refined fileslist
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.5-1
- Version Update
* Tue Feb 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-1
- Version Update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.17-2
- Moved more files to devel package, added info file install
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.5.17-1
- Version Update to 0.5.17
* Mon Apr 04 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.15-1
- Initial Release
